import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UserModule } from 'src/users/module/user.module';
import { UserService } from 'src/users/service/user.service';
import { VideosService } from 'src/videos/Service/videos.service';
import { VideosController } from '../Controller/videos.controller';
import { Videos } from '../entity/videos.entity';

@Module({
    imports:[TypeOrmModule.forFeature([Videos]), UserModule],
    providers: [VideosService, UserService],
    controllers: [VideosController],
    exports: [TypeOrmModule]
})
export class VideosModule {}
